Generate page content before initialising smarty

Bug #1337626 reported by Nathan Lewis on 2014-07-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned
1.7
Medium
Robert Lyon
1.8
Medium
Robert Lyon
1.9
Medium
Robert Lyon

Bug Description

On the dashboard page, if a block contains a pieform element which supplies a header (such as a textarea) then it results in an error. This is because smarty is being initialised (and retrieves defined headers) before the pieforms elements have been initialised. The patch fixes this. This problem occurs in dashboard and portfolio pages, but not profile or group pages.

Reviewed: https://reviews.mahara.org/3473
Committed: http://gitorious.org/mahara/mahara/commit/60f4478f4475c9dfee27ea817191b32bef5d9822
Submitter: Ghada El-Zoghbi (<email address hidden>)
Branch: master

commit 60f4478f4475c9dfee27ea817191b32bef5d9822
Author: Nathan Lewis <email address hidden>
Date: Fri Jul 4 11:13:04 2014 +1200

Generate page content before initialising smarty (Bug #1337626)

Change-Id: I4b5fb0da8567e95fd9c0e57806baca835b50764e
Signed-off-by: Nathan Lewis <email address hidden>

Robert Lyon (robertl-9) on 2014-07-21
Changed in mahara:
milestone: none → 1.10.0
status: New → Fix Committed
importance: Undecided → Medium

Reviewed: https://reviews.mahara.org/3497
Committed: http://gitorious.org/mahara/mahara/commit/e44d96dbd55943ab2293e09085f55527ae8297ce
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit e44d96dbd55943ab2293e09085f55527ae8297ce
Author: Nathan Lewis <email address hidden>
Date: Fri Jul 4 11:13:04 2014 +1200

Generate page content before initialising smarty (Bug #1337626)

Rebased for version 1.7

Change-Id: I4b5fb0da8567e95fd9c0e57806baca835b50764e
Signed-off-by: Nathan Lewis <email address hidden>
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3498
Committed: http://gitorious.org/mahara/mahara/commit/41031316b16d497a37ce04b8f6f3e361a1024d43
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 41031316b16d497a37ce04b8f6f3e361a1024d43
Author: Nathan Lewis <email address hidden>
Date: Fri Jul 4 11:13:04 2014 +1200

Generate page content before initialising smarty (Bug #1337626)

Change-Id: I4b5fb0da8567e95fd9c0e57806baca835b50764e
Signed-off-by: Nathan Lewis <email address hidden>
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3499
Committed: http://gitorious.org/mahara/mahara/commit/8cb56a74beb10af2844352da174081b675958356
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 8cb56a74beb10af2844352da174081b675958356
Author: Nathan Lewis <email address hidden>
Date: Fri Jul 4 11:13:04 2014 +1200

Generate page content before initialising smarty (Bug #1337626)

Change-Id: I4b5fb0da8567e95fd9c0e57806baca835b50764e
Signed-off-by: Nathan Lewis <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers